JTable.AccessibleJTable.AccessibleJTableModelChange (Java Platform SE 8 )
Keywords: javax.swing.JTable.AccessibleJTable.AccessibleJTableModelChange class
Date: 2026-04-17

javax.swing

## Class JTable.AccessibleJTable.AccessibleJTableModelChange

- java.lang.Object
- - javax.swing.JTable.AccessibleJTable.AccessibleJTableModelChange

- All Implemented Interfaces:
    AccessibleTableModelChange
  Enclosing class:
    JTable.AccessibleJTable

      protected class JTable.AccessibleJTable.AccessibleJTableModelChange
      extends Object
      implements AccessibleTableModelChange

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `firstColumn`
    `protected int` | `firstRow`
    `protected int` | `lastColumn`
    `protected int` | `lastRow`
    `protected int` | `type`

    - ### Fields inherited from interface javax.accessibility.AccessibleTableModelChange

      `DELETE, INSERT, UPDATE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AccessibleJTableModelChange(int type, int firstRow, int lastRow, int firstColumn, int lastColumn)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFirstColumn()` Returns the first column that changed.
    `int` | `getFirstRow()` Returns the first row that changed.
    `int` | `getLastColumn()` Returns the last column that changed.
    `int` | `getLastRow()` Returns the last row that changed.
    `int` | `getType()` Returns the type of event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected int type

    - #### firstRow

          protected int firstRow

    - #### lastRow

          protected int lastRow

    - #### firstColumn

          protected int firstColumn

    - #### lastColumn

          protected int lastColumn

  - ### Constructor Detail

    - #### AccessibleJTableModelChange

          protected AccessibleJTableModelChange(int type,
                                                int firstRow,
                                                int lastRow,
                                                int firstColumn,
                                                int lastColumn)

  - ### Method Detail

    - #### getType

          public int getType()

      Description copied from interface: `AccessibleTableModelChange`
      Returns the type of event.
      Specified by:
        `getType` in interface `AccessibleTableModelChange`
      Returns:
        the type of event
      See Also:
        `AccessibleTableModelChange.INSERT`, `AccessibleTableModelChange.UPDATE`, `AccessibleTableModelChange.DELETE`

    - #### getFirstRow

          public int getFirstRow()

      Description copied from interface: `AccessibleTableModelChange`
      Returns the first row that changed.
      Specified by:
        `getFirstRow` in interface `AccessibleTableModelChange`
      Returns:
        the first row that changed

    - #### getLastRow

          public int getLastRow()

      Description copied from interface: `AccessibleTableModelChange`
      Returns the last row that changed.
      Specified by:
        `getLastRow` in interface `AccessibleTableModelChange`
      Returns:
        the last row that changed

    - #### getFirstColumn

          public int getFirstColumn()

      Description copied from interface: `AccessibleTableModelChange`
      Returns the first column that changed.
      Specified by:
        `getFirstColumn` in interface `AccessibleTableModelChange`
      Returns:
        the first column that changed

    - #### getLastColumn

          public int getLastColumn()

      Description copied from interface: `AccessibleTableModelChange`
      Returns the last column that changed.
      Specified by:
        `getLastColumn` in interface `AccessibleTableModelChange`
      Returns:
        the last column that changed

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.